*{
    padding: 0px;
    margin: 0px;
}




/*header*/

header { 
    background-color: rgb(0, 3, 8, 0.75);
    height: 75px;
    width: 100%;
    position: fixed;
    
}





header ul {
    position:absolute;
    right:3vw;
    top:0;
    line-height:80px;
}
h1 {
    position: absolute;
    left: 4vw;
    top: 8px;
    color: white;
    background-image: url("images/logo2.webp");
    background-repeat: no-repeat;
    background-position: center;
    background-size: auto 75px;
    width: 300px; /* Set width to match the background size */
    height: 80px; /* Set height to the header's height */
    text-indent: -9999px; /* Visually hide the text */
    overflow: hidden; /* Ensure the text doesn’t affect the layout */
}

h1::before {
    content: "Linear Art";
    visibility: hidden;
}

header a{
    font-size:1em;
    color:white;
    text-decoration: none;
}
.current{
    color:rgb(255, 208, 176);
    text-decoration: underline;
}
header li {
    display:inline;
    margin-right:4vw;
}
header a:hover {
    text-decoration:underline;
    color: rgb(137, 149, 225);
}
.header{
    background-color: rgb(0, 3, 8);
    color: white;
    height:  100vh;
    background-image: linear-gradient(to bottom, rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.3),rgba(0,0,0,1)), url("images/Selayang.webp");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: calc(50%) calc(50% + 65px);

    display:flex;
    flex-direction:column;
    align-items: center;
    justify-content: center;
    padding-bottom:8vh;
}
.header h2 {
    font-size:3em;
    color: white;
    margin: 5px;
    text-shadow: -2px -2px 6px black;
}
.header p{
    color: rgb(255, 255, 255);
    font-size: 1.7em;
    margin: 15px;
    text-shadow: -2px -2px 6px black;
}
.header a {
    background-color:rgb(0,0,0,0.35);
    color: rgb(255, 255, 255);
    text-decoration: none;
    font-size: 0.6em;
    text-shadow: none;
    border: 1px solid white;
    padding: 6px 12px;
    border-radius: 5px;
}
.header a:hover {
    color:black;
    background-color:white;
    text-decoration: none;
    font-size: 0.6em;
    border: 1px solid black;
    padding: 6px 12px;
    border-radius: 5px;
}





/*introduction*/

.intro{
    background-color: rgb(0, 3, 8);
    background-image:linear-gradient(to bottom, rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.45),rgba(0,0,0,0.4),rgba(0,0,0,1)), url("images/2-Storey Terrace.webp");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: calc(50%) calc(30%);
    color: white;
    height: 70vh;
    padding: 3vw;
    padding-top:40vh;
    padding-bottom: 90vh;
    

    display:flex;
    flex-direction:column;
    align-items: top;
    justify-content: top;
}
.intro h2 {
    font-size:2em;
    color: white;
    margin: 10px;
}

.intro p{
    color: rgb(221, 221, 223);
    font-size: 1.6em;
    margin: 10px;
    width:75vw
}



.about p {/*this is from about us*/
    padding-bottom:6vh;
    width:75%;
}


.fine{
    color:rgb(106, 69, 255);
    font-size: 140%;
    text-shadow:-1px -1px rgb(30, 46, 77);
}

.er{
    color:rgb(255, 253, 232);
}


.san{
    color:rgb(255, 253, 232);
}





/*project*/

.project{
    background-color: rgb(0, 3, 8);
    color: white;
    height: auto;
    padding: 3vw;
    padding-top: 20vh;

    display:flex;
    flex-direction:column;
    align-items: top;
    justify-content: top;
}

.project h2 {

    font-size:2em;
    background-color: rgb(0, 3, 8);
    color: white;
    margin: 10px;
    left: 8vw;
}

.project h3{
    padding-top:2vh;
}
.project p {
    text-align: center; /* Centers the text within the paragraph */
    margin-top: 20px; /* Add some margin if needed */
    padding-bottom: 60%;
}

.project a {
    background-color:rgb(0,0,0,0.35);
    color: rgb(255, 255, 255);
    text-decoration: none;
    font-size: 0.8em;
    text-shadow: none;
    border: 1px solid white;
    padding: 6px 12px;
    border-radius: 5px;
    right:4vw;

}

.project a:hover {
    color:black;
    background-color:white;
    text-decoration: none;
    font-size: 0.6em;
    border: 2w solid black;
    padding: 6px 12px;
    border-radius: 5px;

}


.picture{

    display: flex;
    justify-content: space-between;
    align-items: end;
    flex-wrap: wrap;
    padding: 4vw;
    border:2vw;
}


.picture div{
    width:360px;
    text-align:center;
    padding: 3vh 1vw ;
    padding-bottom: 10vh;
}


.picture img{
    width:100%;
    border-radius:10px;
    border: 2px solid transparent;
    border-color: rgb(70, 6, 102);
    cursor: pointer;
    transition: transform 0.2s;
}



.picture p{
    color: rgb(247, 241, 233);
    font-size: 1em;
    padding:0;
}

/* Style the modal */
.modal {
    display: none;
    position: fixed;
    z-index: 1000;
    padding-top: 50px;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0,0,0);
    background-color: rgba(0, 0, 0, 0.9);
}

/* Modal content (image) */
.modal-content {
    margin: auto;
    display: block;
    width: auto; /* Set to auto to maintain aspect ratio */
    height: auto; /* Set to auto to maintain aspect ratio */
    max-width: 80%; /* Maximum width of the image */
    max-height: 80%; /* Maximum height of the image */
}

/* Caption (optional styling) */
#caption {
    margin: auto;
    color: #fff;
    text-align: center;
    position: relative;
    padding: 10px;
}

/* Close button */
.close {
    position: absolute;
    top: 15px;
    right: 35px;
    color: #fff;
    font-size: 40px;
    font-weight:
}


/*contact */

.contact {
    background-color: rgb(0, 3, 8);
    background-image:linear-gradient(to bottom, rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.4),rgba(0,0,0,0.9)), url("images/wooden bangalow.webp");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: calc(50%) calc(30%);

    padding: 3vw;
    padding-top:20vh;
    text-align: left;
    background-color: rgb(0, 3, 8);
    color: white; /* Text color */
    height:auto;
}

.contact h2 {
    font-size: 2.5em; /* Heading size */
    margin:10px;
    background-color: rgba(0,0,0,0);
}

.contact p {
    font-size: 1.2em; /* Font size for paragraphs */
    margin: 10px 0;
}

.contact a {
    color: rgb(255, 208, 176); /* Link color */
    text-decoration: none; /* Remove underline */
}

.contact a:hover {
    text-decoration: underline; /* Underline on hover */
}

.map-container {
    margin-top: 20px; /* Margin above the map */
}

.map-container iframe{
    border-radius: 5%;
    filter:brightness(78%);
}


.info {
    display:flex;
    flex-direction: row-reverse;
    justify-content: end;
}

.info div{
    padding:0.5vw;
}

.bla{
    width:50vw;
    margin: 10px;
}

.map-container{
    width:50vw;
    margin: 10px;
}

.bla p{
    width: 30vw;
    padding: 1vh 0 4vh 1vw ;
}

.bla img{
    width:360px;
    text-align:center;
}





footer{
    background-color: rgb(0, 3, 8);
    color: #666666;
    height: 2vh;
    display: flex;
    justify-content: end;
    align-items: end;
    font-size: 0.8em;
    line-height:1.8em;
}

.menu{
    display:none;
}

.drp-content{
    display: none;
}

.dropdown{
    display: none
}






/* Responsive Design */
@media screen and  (max-width: 768px){
    header ul{
        display:none;
    }



    h1 {
        left:55%;
        top: 4px;
        transform: translateX(-50%);
        background-size: auto 60px;
    }
    .header h2{
        font-size:1.6em;
    }

    .header p{
        color: rgb(247, 241, 233);
        font-size: 1.3em;
        margin: 15px;
    }
    .header {
        background-size: cover;
        background-position: calc(35%) calc(50% + 50px);
        height:  90vh;
    }
    .menu{
        position:fixed;
        display:block;
        background-color:transparent;
        color: rgb(237, 230, 230);
        font-size: 2em;
        top:20px;
        left:25px;
        border:none;
        cursor:pointer;
        }

    .dropdown {
        position: fixed;
        display: block;
        top:72px;
        left: 10px;
        }

    .drp-content{
        display: none;
        top: -10px;
        position: absolute;
        background-color: rgb(0, 3, 8, 0.75);
        min-width: 160px;
        box-shadow: 1px 1px 5px 0px rgba(0,0,0,0.2);
        z-index: 1;
        border-radius: 0 0 10% 10%;
        border: 5px;
        border-color: white;
    }

    .drp-content a {
        color: rgb(255, 255, 255);
        padding: 12px 16px;
        text-decoration: none;
        display: block;
    }


    /* Change color of dropdown links on hover */
    .drp-content a:hover {
        background-color: #ddd;
        display: block;
        border-radius: 5%;
    }

    /* Show the dropdown menu on hover */
    .dropdown:hover .drp-content {display: block;}

    /* Change the background color of the dropdown button when the dropdown content is shown */
    .dropdown:hover .menu {
        color: rgba(31, 221, 255, 0.839);
        background-color:transparent;
    }

    .dropdown:hover .current{
        color:rgb(255, 208, 176);
        text-decoration: underline;
    }


    .intro  p{
        font-size: 1em;
        margin: 10px;
        width:85vw;
    }

    .fine{
        color:rgb(119, 83, 248);
        font-size: 150%
    }

    .intro{
        background-position: calc(20%) calc(0%);
    }

    .map-container iframe {
        width: 100%; /* Full width on smaller screens */
    }

    .info {
        display:flex;
        flex-direction: column;
        justify-content: end;
    }

    .bla p{
        width: 80vw;
        padding: 1vh 0 1vh 0 ;
    }

    .map-container{
        width:88vw;
    }
    
    .bla img{
        width:85vw;
    }
}